This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 860903 - 18 alpha does not initialize graphics on MBP 8,2
18 alpha does not initialize graphics on MBP 8,2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 00:49 EDT by William Brown
Modified: 2012-11-14 08:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 08:19:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2012-09-27 00:49:01 EDT
Description of problem:
Fedora 18 alpha does not initialize graphics correctly on EFI intel macs. This is an MBP 8,2, with a radeon card, but it may affect others. 

How reproducible:

Always


Steps to Reproduce:
1. Procure a radeon mac.
2. Boot fedora 18 live USB
3. Watch display
  
Actual results:
Display freezes once the radeon driver is enabled from the generic.

Expected results:
Display works, and Xorg starts.

Additional info:
Probably related to the various issues in:

https://bugzilla.redhat.com/show_bug.cgi?id=837461
https://bugzilla.redhat.com/show_bug.cgi?id=765954
Comment 1 Josh Boyer 2012-11-13 10:14:52 EST
Does Beta TC 8 help this any?  There were some Mac related fixes in the kernel that went into that.
Comment 2 William Brown 2012-11-13 18:19:10 EST
TC8 provides support to getting the radeon card to work at boot, but the i915 still changes the display to black when attempting to switch to it. See https://bugzilla.redhat.com/show_bug.cgi?id=765954
Comment 3 Josh Boyer 2012-11-14 08:19:31 EST
OK, we'll close this one out and track the intel issue in the other bug.

Note You need to log in before you can comment on or make changes to this bug.